import type { ExtractPropTypes } from 'vue';
import type AudioPlayer from './audio-player.vue';
export declare const preloadLoad: string[];
export declare const audioFormat: string[];
export declare const audioPlayerProps: {
    readonly src: {
        readonly type: import("vue").PropType<string>;
        readonly required: true;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly controls: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly autoplay: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly muted: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loop: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly preload: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, string, unknown, "auto", boolean>;
    readonly format: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, string, unknown, "MP3", boolean>;
};
export type AudioPlayerProps = ExtractPropTypes<typeof audioPlayerProps>;
export type AudioPlayerInstance = InstanceType<typeof AudioPlayer>;
